#include <stdio.h>
#include <math.h>

/* simulation parameters */
#define TAKE 3
#define BIRTH  (1.0 / 16.0)
#define DEATH (1.0 / 20.0)

int main() {
    int pop, year, i;

    /* read input */
    scanf("%d\n%d", &pop, &year);

    /* loop for each year */
    for (i = 0; i < year; i++) {
        /* calculate population change */
        int dead = ceil(pop * DEATH);
        int born = floor(pop * BIRTH);
        pop = pop + (born - dead);

        /* see if any are taken */
        if (pop >= 10)
            pop = pop - TAKE;
    }

    /* check for surviviors */
    if (pop <= 0)
        printf("After %d years there are no more banthas!\n", i);
    else
        printf("After %d years there are %d banthas.\n", i, pop);

    return 0;
}

