#include <stdio.h>
#include <string.h>

int main() {
    int N, i, qs = 0;
    char string[100];

    /* read all input, and tabulate the quarter portions */
    scanf("%d\n", &N);
    for (i = 0; i < N; i++) {
        scanf("%[^\n]\n", string);

        if (!strcmp(string, "Shield Plate")) qs += 1;
        else if (!strcmp(string, "Telesponder")) qs += 1;
        else if (!strcmp(string, "Flux Converter")) qs += 2;
        else if (!strcmp(string, "Power Damper")) qs += 3;
        else if (!strcmp(string, "Stabilizer")) qs += 5;
        else if (!strcmp(string, "Hydrobooster")) qs += 6;
        else {
            printf("Unusual Haul\n");
            return 0;
        }
    }

    /* roll the quarters into wholes */
    int wholes = 0;
    while (qs >= 4) {
        wholes++;
        qs -= 4;
    }

    /* a whole number of portions */
    if (qs == 0) {
        printf("%d portion%s\n", wholes, wholes == 1 ? "" : "s");
    }

    /* a fractional number only */
    else if (wholes == 0) {
        if (qs == 1) printf("1 quarter portion\n");
        if (qs == 2) printf("1 half portion\n");
        if (qs == 3) printf("3 quarter portions\n");
    }

    /* a mixed number */
    else {
        printf("%d and ", wholes);
        if (qs == 1) printf("1 quarter portions\n");
        if (qs == 2) printf("1 half portions\n");
        if (qs == 3) printf("3 quarter portions\n");
    }

    return 0;
}

