#include <stdio.h>
#include <string.h>

/* reads in a list of ints from stdin and returns in nums array
 * this is not really trivial in C */
void read_line(int* nums, int* size) {
    /* read the input line as a string */
    char* line = NULL;
    unsigned long length = 0;
    getline(&line, &length, stdin);

    /* set size to 0 */
    *size = 0;

    while (line) {
        /* read next int out of string */
        sscanf(line, "%d", &nums[*size]);

        /* increment size */
        *size += 1;

        /* move string to next space */
        line = strstr(line, " ");

        /* and one char past */
        if (line) line++;
    }
}

int main() {
    int key[1000], mesg[1000], keysize, mesgsize;

    /* read the first line of input as the key and second as message */
    read_line(key, &keysize);
    read_line(mesg, &mesgsize);

    /* keep track of key index and message index */
    int ki = 0, mi;

    /* for each letter of message */
    for (mi = 0; mi < mesgsize; mi++) {
        /* compute character and print */
        int value = mesg[mi] ^ key[ki];
        printf("%c", value);

        /* increment key */
        ki++;
        if (ki >= keysize)
            ki = 0;
    }

    printf("\n");

    return 0;
}

